Skip to main content
PATCH
/
v1
/
flows
/
{flow_id}
/
nodes
/
{id}
Partial update flow node
curl --request PATCH \
  --url https://api.runflow.io/v1/flows/{flow_id}/nodes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "subtitle": "<string>",
  "x": 123,
  "y": 123,
  "width": 1,
  "config": {},
  "collapsed": true,
  "updated_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "label": "<string>",
  "subtitle": "<string>",
  "type_code": "<string>",
  "x": 123,
  "y": 123,
  "width": 123,
  "config": {},
  "collapsed": true,
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "builtin_node_code": "<string>",
  "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sub_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "flow": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "cover_url": "<string>",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "flow_type_code": "<string>",
    "category_code": "<string>",
    "visibility_code": "<string>",
    "source_visibility_code": "<string>",
    "status_code": "<string>",
    "version": 123,
    "current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "estimated_cost": "<string>",
    "context_variables": {},
    "run_count": 123,
    "avg_duration": "<string>",
    "cost_per_run": "<string>",
    "featured_at": "2023-11-07T05:31:56Z",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "nodes": [
      "<unknown>"
    ],
    "inputs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "variable_type_code": "<string>",
        "validator_code": "<string>",
        "validator_attrs": {},
        "is_required": true,
        "default_value": {},
        "sort_order": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "outputs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "variable_type_code": "<string>",
        "validator_code": "<string>",
        "validator_attrs": {},
        "sort_order": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "created_by_user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "avatar_url": "<string>"
    },
    "recent_stars": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "inputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "behavior_code": "<string>",
      "value": {},
      "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connection_label": "<string>",
      "connection_style_code": "<string>",
      "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "outputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required
flow_id
string
required

Flow ID. Use 'any' to search across all parents.

Body

application/json

PATCH body — all fields optional.

label
string | null
subtitle
string | null
x
integer | null
y
integer | null
width
integer | null
Required range: x > 0
config
Config · object
collapsed
boolean | null
updated_at
string<date-time> | null

Response

The updated flow node.

Response shape.

id
string<uuid> | null
flow_id
string<uuid> | null
slug
string | null
label
string | null
subtitle
string | null
type_code
string | null
x
integer | null
y
integer | null
width
integer | null
config
Config · object
collapsed
boolean | null
model_id
string<uuid> | null
builtin_node_code
string | null
comfyui_workflow_id
string<uuid> | null
sub_flow_id
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
flow
FullValidator · object

Response shape.

inputs
FullValidator · object[] | null
outputs
FullValidator · object[] | null